;; This is an operating system configuration template
;; for a "bare bones" setup, with no X11 display server.

(use-modules (gnu)
             (metznet aws)
             (metznet machines kerberos)
             (metznet system base-system)
             (gnu packages vim)
             (gnu packages ssh)
             (gnu packages python-web)
             (gnu packages shells))

(operating-system
  (inherit kerberos.metznet.ca)
  (bootloader (bootloader-configuration
                (bootloader grub-minimal-bootloader)
                (targets '("/dev/nvme0n1"))))
  (file-systems (cons (file-system
                        (device (file-system-label "krb-guix-data"))
                        (mount-point "/")
                        (type "ext4")) %base-file-systems))
  (groups (cons (user-group
                  (system? #t)
                  (name "admin")) %metznet-base-groups))
  (users (cons (user-account
                 (name "aws")
                 (group "admin")
                 (shell (file-append zsh "/bin/zsh")))
               %metznet-base-user-accounts))

  (sudoers-file (plain-file "sudoers"
                            (string-join (list "Defaults mail_badpass"
                                               "root ALL=(ALL:ALL) ALL"
                                               "%admin ALL=(ALL:ALL) ALL" "")
                                         "\n")))

  (packages (cons* openssh awscli neovim %metznet-base-packages))

  (services
   (cons* (service aws-service-type) kerberos-services)))

